g2bAPI Reference
Review

Read a thread file

Reads one repository-relative text file for project_repository_id up to 64 KiB. Traversal and symlink escapes are rejected.

GET
/v1/threads/{id}/file

Reads one repository-relative text file for project_repository_id up to 64 KiB. Traversal and symlink escapes are rejected.

Authorization

bearerAuth
AuthorizationBearer <token>

Create an API key in g2b Settings, then send it as a Bearer token.

In: header

Path Parameters

id*string
Length1 <= length <= 256

Query Parameters

project_repository_id*string
Length1 <= length <= 256
path*string
Length1 <= length <= 8192

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/threads/string/file?project_repository_id=string&path=string"
{  "path": "string",  "content": "string",  "size_bytes": 0}